---
title: How to delete my profile
slug: MDN/Contribute/Howto/Delete_my_profile
tags:
  - Howto
  - MDN Meta
---
<div>{{MDNSidebar}}</div><p>If you decide that you no longer want to have an account on MDN, you can request for your account to be deleted. However, we can't delete any revisions (page changes) you've made, and our content license requires that your revisions have an attribution. If you have made revisions, you must decide whether you want your revisions to be attributed to your username, or to be re-attributed to "Anonymous".</p>

<ol>
 <li>While you are logged in to MDN, click your username in the top menubar of any page. Your profile page opens, showing any information about yourself that you have provided. Make a note of whether any revisions are listed under <strong>Recent Docs Activity</strong>.</li>
 <li>Click the <strong>Edit</strong> button. The <strong>Edit Your Profile</strong> form opens.</li>
 <li>Scroll to the bottom of the form, and click the link "<strong>Delete your account.</strong>" The <strong>Delete your profile form</strong> opens.</li>
 <li>Select one of the following options:
  <ul>
   <li><strong>I haven't changed any pages; just delete my account. </strong>Select this option if there were no items listed under <strong>Recent Docs Activity</strong> on your profile page.</li>
   <li><strong>Keep my attribution for my page changes; delete my email address and freeze my account so I can't ever log in again.</strong>  If you select this option, your profile will continue to be associated with your page changes, but you will no longer be able to login to MDN. Note that your profile page will continue to exist, but with personal information removed. </li>
   <li><strong>Switch all my attributions for page changes to "Anonymous", and delete my account.</strong> If you select this option, any revisions that you made will be switched so that they are attributed to "Anonymous". Your account and profile page will be deleted. There will be no link between you and the revisions you made.</li>
  </ul>
 </li>
 <li>Click <strong>File a Bug to Close Your Account. </strong>This action creates a new issue in <a href="https://bugzilla.mozilla.org/enter_bug.cgi">Mozilla's Bugzilla</a> issue-tracking system for your account deletion request, with the Summary and Description fields pre-filled based on your username and the option you chose. This step is necessary because a human must review your request and perform the necessary actions. </li>
 <li>You must login to Bugzilla in order to submit the request. If you do not have a Bugzilla account, you must create one.</li>
 <li>Click <strong>Submit Bug</strong> to send the request. When your request has been handled, you will receive a notification from Bugzilla at the email address you used for logging in to Bugzilla.</li>
</ol>


